net.fortuna.ical4j.filter

## Interface Rule

All Known Implementing Classes:
  AbstractDateRule, ComponentRule, DateInRangeRule, HasPropertyRule, PeriodRule

    public interface Rule

$Id$ Created: Feb 1, 2006 Implementors dictate whether a given object is classified as a "match" for the enclosing filter.

Author:
  Ben Fortuna

### Method Summary

Methods
`boolean` `match(Object o)` Indicates whether the specified object passes the conditions required to match this rule.

### Method Detail

#### match

    boolean match(Object o)

Indicates whether the specified object passes the conditions required to match this rule.

Parameters:
  `o` - an object to match
Returns:
  boolean indicated if the specified object matches this rule